use std::env;

static RELEASE_MODES: [&str; 3] = ["debug", "test", "prod"];

pub fn get_release_mode() -> String {
    let default = "prod";

    match env::var("RELEASE_MODE") {
        Ok(s) => {
            if RELEASE_MODES.contains(&s.as_str()) {
                return s;
            } else {
                return default.to_string();
            }
        }
        Err(_) => default.to_string(),
    }
}

pub fn get_log_level() -> String {
    let rel_mode = get_release_mode();
    match rel_mode.as_str() {
        "debug" => String::from("debug"),
        "test" => String::from("debug"),
        _ => String::from("info"),
    }
}
